Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
/
{automation_id}
/
enrollments
Manual Enroll
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/enrollments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "team_contact_id": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "automation_id": "<string>",
      "automation_version_id": "<string>",
      "contact_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "current_node_id": "<string>",
      "entered_at": "2023-11-07T05:31:56Z",
      "hub_id": "<string>",
      "status": "<string>",
      "step_execution_count": 123,
      "team_contact_id": "<string>",
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "exit_reason": "<string>",
      "exited_at": "2023-11-07T05:31:56Z",
      "next_due_at": "2023-11-07T05:31:56Z",
      "run_attributes": {},
      "trigger_context": {}
    },
    "id": "<string>",
    "type": "automation_enrollments"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
automation_id
string
required

Body

application/vnd.api+json
data
ManualEnrollResource · object
required

Response

Successful Response

data
AutomationEnrollmentResource · object
required